Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBugLog Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id="")
| getAll ()
| id ()
| description ( $html=true)
& | created ()
& | user ()
& | bug ()
| setDescription ( $value)
| setUser ( $user)
| setBug ( $bug)

## Static Public Member Functions
static | getByBug ( $bug)

## Public Attributes
| $ID
| $Description
| $IsHandled
| $Created
| $UserID
| $BugID

## Detailed Description

! eZBug eZBug handles bug repports.

See also
  eZBug eZBugCategory eZBugModule eZBugPriority

TODO

Definition at line 41 of file ezbuglog.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBugLog::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBugLog object.

If $id is set the object's values are fetched from the database.

Definition at line 49 of file ezbuglog.php.

References $id.

## Member Function Documentation

## ◆ bug()

& eZBugLog::bug | ( |  | ) |

Returns the bug as a eZBug object.

Definition at line 228 of file ezbuglog.php.

References $bug.

## ◆ created()

& eZBugLog::created | ( |  | ) |

Returns the creation time of the bug log message.

The time is returned as a eZDateTime object.

Definition at line 209 of file ezbuglog.php.

References $dateTime.

## ◆ delete()

eZBugLog::delete | ( |  | ) |

Deletes a eZBugLog object from the database.

Definition at line 98 of file ezbuglog.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZBugLog::description | ( |  | $html = `true` | ) |

Returns the group description.

Definition at line 196 of file ezbuglog.php.

References $Description.

## ◆ get()

eZBugLog::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 114 of file ezbuglog.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ getAll()

eZBugLog::getAll | ( |  | ) |

Returns all the bugs found in the database.

The bugs are returned as an array of eZBug objects.

Definition at line 140 of file ezbuglog.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByBug()

static eZBugLog::getByBug | ( |  | $bug | ) |
| static

Returns all the bugs found in the database which is assigned to the bug given as argument.

The bugs are returned as an array of eZBug objects.

Definition at line 163 of file ezbuglog.php.

References $bug, $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZBugLog::id | ( |  | ) |

Returns the object id.

Definition at line 188 of file ezbuglog.php.

References $ID.

## ◆ setBug()

eZBugLog::setBug | ( |  | $bug | ) |

Sets the bug the change belongs to.

Definition at line 256 of file ezbuglog.php.

References $bug.

## ◆ setDescription()

eZBugLog::setDescription | ( |  | $value | ) |

Sets the description of the module.

Definition at line 237 of file ezbuglog.php.

## ◆ setUser()

eZBugLog::setUser | ( |  | $user | ) |

Sets the user who made the change.

Definition at line 245 of file ezbuglog.php.

References $user.

## ◆ store()

eZBugLog::store | ( |  | ) |

Stores a eZBuglog object to the database.

Definition at line 60 of file ezbuglog.php.

References $db, $res, $timestamp, and eZDB\globalDatabase().

## ◆ user()

& eZBugLog::user | ( |  | ) |

Returns the user as a eZUser object.

Definition at line 219 of file ezbuglog.php.

References $user.

## Member Data Documentation

## ◆ $BugID

eZBugLog::$BugID

Definition at line 269 of file ezbuglog.php.

## ◆ $Created

eZBugLog::$Created

Definition at line 267 of file ezbuglog.php.

## ◆ $Description

eZBugLog::$Description

Definition at line 265 of file ezbuglog.php.

Referenced by description().

## ◆ $ID

eZBugLog::$ID

Definition at line 264 of file ezbuglog.php.

Referenced by id().

## ◆ $IsHandled

eZBugLog::$IsHandled

Definition at line 266 of file ezbuglog.php.

## ◆ $UserID

eZBugLog::$UserID

Definition at line 268 of file ezbuglog.php.

The documentation for this class was generated from the following file:

- ezbuglog.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.